API Reference
//Set Card PIN
Set PIN for physical cards (by card_id) before they are activated.
Security
HTTPBearer
Base64-encoded HMAC-SHA256 hash of x-jiko-idempotency + request pathname + body, keyed with your shared secret. See Authentication for the full algorithm and a code sample.
- Sandbox serverhttps://your-partner-name.sandbox-api.jikoservices.com/api/v1/jiko-accounts/{account_id}/cards/{card_id}/pin/
- Production serverhttps://your-partner-name.partner-api.jikoservices.com/api/v1/jiko-accounts/{account_id}/cards/{card_id}/pin/
curl -i -X POST \
'https://your-partner-name.sandbox-api.jikoservices.com/api/v1/jiko-accounts/{account_id}/cards/{card_id}/pin/' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
-H 'x-jiko-signature: string' \
-d '{
"encrypted_pin": "pa$$word"
}'Response
{ "success": true }